﻿<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Google Provider FR</title>
  <link rel="stylesheet" href="https://stackedit.io/style.css" />
</head>

<body class="stackedit">
  <div class="stackedit__html"><h1 id="lfusion-google-provider">LFusion Google Provider</h1>
<p>Ce package est une extension pour LFusion Local Registry Provider.<br>
Il permet de référencer les packages disponibles sur:</p>
<ul>
<li><a href="https://developers.google.com/unity/archive">https://developers.google.com/unity/archive</a></li>
<li><a href="https://github.com/android/tuningfork/releases">https://github.com/android/tuningfork/releases</a></li>
</ul>
<ol>
<li><a href="#pr%C3%A9requis">Prérequis</a></li>
<li><a href="#installation">Installation</a></li>
<li><a href="#configuration">Configuration</a></li>
</ol>
<h2 id="prérequis">Prérequis</h2>
<ul>
<li><em><strong>Unity 2020</strong></em> ou supérieur</li>
<li><em><strong>LFusion Local Registry Provider</strong></em> : <code>com.lfusion.localregistryprovider.core</code></li>
<li><em><strong>LFusion Tgz Provider</strong></em> : <code>com.lfusion.localregistryprovider.tgzprovider</code></li>
</ul>
<h2 id="installation">Installation</h2>
<h3 id="installer-via-gitlab-registry">Installer via Gitlab registry</h3>
<ul>
<li>Ajouter le registre <a href="https://gitlab.com/lfusion/upm-registry">LFusion Upm-Registry</a></li>
<li><strong>Pour Unity 2021 ou plus récent</strong>
<ul>
<li>Package Manager</li>
<li><strong>+</strong> Add package by name…
<ul>
<li><code>Name : com.lfusion.localregistryprovider.googleprovider</code></li>
</ul>
</li>
</ul>
</li>
<li><strong>Pour toutes les versions supportées</strong>
<ul>
<li>Ouvrir <code>manifest.json</code> dans le dossier Packages du projet.</li>
<li>Ajouter <code>"com.lfusion.localregistryprovider.googleprovider": "x.x.x",</code> dans le bloc <code>dependencies</code>  en remplaçant <code>x.x.x</code> par la version voulu.</li>
<li>Exemple pour la version <code>1.0.0</code> :</li>
</ul>
</li>
</ul>
<pre class=" language-json"><code class="prism  language-json"><span class="token punctuation">{</span>
  <span class="token string">"dependencies"</span><span class="token punctuation">:</span> <span class="token punctuation">{</span>
    <span class="token string">"com.lfusion.localregistryprovider.googleprovider"</span><span class="token punctuation">:</span> <span class="token string">"1.0.0"</span><span class="token punctuation">,</span>
    <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
  <span class="token punctuation">}</span><span class="token punctuation">,</span>
  <span class="token punctuation">[</span><span class="token operator">...</span><span class="token punctuation">]</span>
<span class="token punctuation">}</span>
</code></pre>
<h3 id="installer-via-tarball">Installer via tarball</h3>
<ul>
<li>Télécharger <code>com.lfusion.localregistryprovider.googleprovider-x.x.x.tgz</code> depuis <a href="https://gitlab.com/lfusion/localregistryprovider/googleprovider/-/releases">releases</a>.</li>
<li>Package Manager</li>
<li><strong>+</strong> Add package from tarball…</li>
<li>Sélectionnez  <code>com.lfusion.localregistryprovider.googleprovider-x.x.x.tgz</code></li>
</ul>
<h2 id="configuration">Configuration</h2>
<p>Les paramètres de LFusion Google Provider sont accessibles depuis:</p>
<ol>
<li><code>Edit/Project Settings...</code></li>
<li><code>Package Manager/Local Registry/Google Provider</code></li>
</ol>
<h3 id="packages-selector">Packages Selector</h3>
<p>Liste les packages google disponible et permet de sélectionner ceux que vous souhaitez utiliser dans le projet.</p>

<table>
<thead>
<tr>
<th>Nom</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr>
<td>Apply Now</td>
<td>Force la mise à jour des packages listés</td>
</tr>
<tr>
<td>Refresh List</td>
<td>Récupère la liste des packages disponibles</td>
</tr>
</tbody>
</table><h3 id="cache-manager">Cache Manager</h3>
<p>Permet de supprimer les informations des packages stockés en cache.</p>
</div>
</body>

</html>
